Subject: Re: 25.0.93; dired-do-find-regexp does not work on Windows even after installing GNU find and grep

From: Kaushal Modi <[email-masked]>
Date: Thu, 05 May 2016 16:23:07 +0000

On Wed, May 4, 2016 at 9:18 PM Dmitry Gutov <[email-masked]> wrote:

> That doesn't mean that it isn't being quoted now, in the function in
> question.
>

OK

> It's functionally equivalent to the second one, I believe.
>

It is! I just rearranged the position for shell-quote-argument. Actually
all 3 patches were the same, functionally.

> Actually, this comment means the opposite: we would want ~ in the
> command line unquoted, but that won't happen because DIR is quoted
> later. So we require DIR to be non-abbreviated.
>
> Anyway, let's leave that off until you find a definite case where it's a
> problem.

OK

> I've pushed the other change now in ab3ba91.
>
> Please see if it fixes the problem, and if so, close the bug.
>

It does fix the bug, thanks!
-- 

-- 
Kaushal Modi